"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const CheckMarkCircleSVG_1 = tslib_1.__importDefault(require("./CheckMarkCircleSVG"));
const AlertCircleSVG_1 = tslib_1.__importDefault(require("./AlertCircleSVG"));
function EmailField({ onSubmit }) {
    const [formError, setFormError] = (0, react_1.useState)(null);
    const [isSubmitted, setIsSubmitted] = (0, react_1.useState)(false);
    const [email, setEmail] = (0, react_1.useState)('');
    const validate = () => {
        if (email.length > 0 && /^[^\s@]+@[^\s@]+\.[^\s@]+$/.test(email)) {
            setFormError(null);
            return true;
        }
        setFormError({ type: 'validate', message: 'Please enter a valid email address' });
        return false;
    };
    const handleSubmit = (e) => tslib_1.__awaiter(this, void 0, void 0, function* () {
        e.preventDefault();
        const isValid = validate();
        if (!isValid)
            return;
        try {
            yield onSubmit(email);
            setIsSubmitted(true);
        }
        catch (_e) {
            setFormError({
                type: 'callback',
                message: 'Sorry, there was an error sending. Please try again.',
            });
        }
    });
    return (react_1.default.createElement("div", { className: 'cio-share-results-feature-group' },
        react_1.default.createElement("form", { onSubmit: handleSubmit },
            react_1.default.createElement("div", { className: 'cio-share-results-description' }, "Share by email"),
            react_1.default.createElement("div", { className: 'cio-share-results-button-group' },
                react_1.default.createElement("div", { className: 'cio-share-results-email-input-group' },
                    react_1.default.createElement("input", { className: `cio-share-results-email-input ${formError ? 'cio-share-results-email-input--error' : ''}`, onChange: (e) => setEmail(e.target.value) }),
                    (formError === null || formError === void 0 ? void 0 : formError.type) === 'validate' && (react_1.default.createElement("div", { className: 'cio-share-results-email-input-error-message' }, formError.message))),
                react_1.default.createElement("button", { className: 'cio-share-results-share-button', type: 'submit' }, "Send"))),
        isSubmitted && (react_1.default.createElement("div", { className: 'cio-share-results-notification' },
            react_1.default.createElement(CheckMarkCircleSVG_1.default, null),
            react_1.default.createElement("div", null, "Email sent"))),
        (formError === null || formError === void 0 ? void 0 : formError.type) === 'callback' && (react_1.default.createElement("div", { className: 'cio-share-results-notification' },
            react_1.default.createElement(AlertCircleSVG_1.default, null),
            react_1.default.createElement("div", null, formError.message)))));
}
exports.default = EmailField;
