"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importStar(require("react"));
const CheckMarkCircleSVG_1 = tslib_1.__importDefault(require("./CheckMarkCircleSVG"));
const AlertCircleSVG_1 = tslib_1.__importDefault(require("./AlertCircleSVG"));
function LinkField({ url }) {
    const [isCopied, setIsCopied] = (0, react_1.useState)(false);
    const [isError, setIsError] = (0, react_1.useState)(false);
    return (react_1.default.createElement("div", { className: 'cio-share-results-feature-group' },
        react_1.default.createElement("div", { className: 'cio-share-results-description' }, "Share by link"),
        react_1.default.createElement("div", { className: 'cio-share-results-button-group' },
            react_1.default.createElement("input", { className: 'cio-share-results-link-input', value: url, disabled: true }),
            react_1.default.createElement("button", { className: 'cio-share-results-share-button', type: 'button', onClick: () => {
                    try {
                        navigator.clipboard.writeText(url);
                        setIsCopied(true);
                    }
                    catch (_e) {
                        setIsError(true);
                    }
                } }, "Copy link")),
        isCopied && (react_1.default.createElement("div", { className: 'cio-share-results-notification' },
            react_1.default.createElement(CheckMarkCircleSVG_1.default, null),
            react_1.default.createElement("div", null, "Link copied to clipboard"))),
        isError && (react_1.default.createElement("div", { className: 'cio-share-results-notification' },
            react_1.default.createElement(AlertCircleSVG_1.default, null),
            react_1.default.createElement("div", null, "Sorry, there was an error copying. Please try again.")))));
}
exports.default = LinkField;
