import React from 'react';
import CTAButton from '../CTAButton/CTAButton';
export default function SessionPromptModal({ continueSession, resetStoredState, setShowSessionPrompt, showSessionPrompt, }) {
    const onNoClickHandler = () => {
        resetStoredState();
        setShowSessionPrompt(false);
    };
    if (showSessionPrompt) {
        const getContinueSessionButtonProps = () => ({
            className: 'cio-question-cta-button',
            onClick: () => {
                continueSession();
                setShowSessionPrompt(false);
            },
        });
        const getResetSession = () => ({
            className: 'cio-question-cta-button',
            onClick: () => {
                resetStoredState();
                setShowSessionPrompt(false);
            },
        });
        return (React.createElement("div", { className: 'cio-session-prompt-modal', role: 'presentation', onClick: onNoClickHandler },
            React.createElement("div", { className: 'cio-session-prompt-container' },
                React.createElement("div", { className: 'cio-session-prompt-content', role: 'presentation', onClick: (e) => e.stopPropagation() },
                    React.createElement("div", null, "Do you want to continue where you left off?"),
                    React.createElement("div", { className: 'cio-session-prompt-controls-container' },
                        React.createElement(CTAButton, { ctaText: 'No', type: 'button', propsGetters: getResetSession }),
                        React.createElement(CTAButton, { type: 'button', ctaText: 'Yes', propsGetters: getContinueSessionButtonProps }))))));
    }
    return null;
}
