import { useEffect } from 'react';
import { trackQuizResultsLoaded } from '../../services';
import { isFunction } from '../../utils';
const useQuizResultsLoaded = (cioClient, quizApiState, onQuizResultsLoaded) => {
    // Quiz results loaded
    useEffect(() => {
        if (quizApiState.quizResults) {
            // Tracking call
            trackQuizResultsLoaded(cioClient, quizApiState.quizResults);
            // User custom callback function
            if (onQuizResultsLoaded &&
                isFunction(onQuizResultsLoaded) &&
                quizApiState.quizResults.response?.results) {
                onQuizResultsLoaded(quizApiState.quizResults.response.results);
            }
        }
    }, [quizApiState, cioClient, onQuizResultsLoaded]);
};
export default useQuizResultsLoaded;
